Page MenuHomePhabricator

Install pack on Toolforge servers
Closed, ResolvedPublic

Description

We need to install the pack CLI tool in Toolforge for the buildpacks project. There are two main contexts in which we'll be running it:

  • pack create-builder ... probably on the docker image builder by roots to deploy new buildpacks
  • pack build ... by the CD pipeline

It's written in golang, so it shouldn't be too difficult to Debianize.

Event Timeline

Legoktm created this task.Oct 22 2020, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2020, 6:31 PM
Legoktm claimed this task.Oct 23 2020, 10:08 PM

Took me a little longer than I expected because packaging golang stuff is different, but I finished and requested a new repository for it: https://www.mediawiki.org/w/index.php?diff=4194335&oldid=4193983&title=Gerrit/New_repositories/Requests/Entries

I'll upload it to the tools aptly for now, if we ever want to install it outside of Toolforge, we'll need to get it onto apt.wm.o.

Mentioned in SAL (#wikimedia-cloud) [2020-10-23T22:22:07Z] <legoktm> imported pack_0.14.2-1_amd64.deb into buster-tools (T266270)

Change 636103 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/puppet@production] toolforge: Install pack and buildpacks repo on image builder

https://gerrit.wikimedia.org/r/636103

Bstorm added a subscriber: Bstorm.Mon, Oct 26, 4:27 PM

@Legoktm Did you import it into buster-toolsbeta? We will need it there first most likely. It's no longer a symlink. Also, I wonder if we should have it on stretch for manual testing.

Never mind. I answered my own question by seeing your patch. You only need it on the imagebuilder.

Change 636103 merged by Bstorm:
[operations/puppet@production] toolforge: Install pack and buildpacks repo on image builder

https://gerrit.wikimedia.org/r/636103

Legoktm closed this task as Resolved.Mon, Oct 26, 5:36 PM

Right, and if we do ever need it on stretch, I think we can get away with just importing it, but I'd hope that everything from here on will be built on top of buster.

legoktm@tools-docker-imagebuilder-01:~$ pack --version
v0.14.2